import ajax from '@/server/ajax'
import api from '@/server/api'
import common from '@/util/common.js'
import moment from 'moment'
import { set } from 'shelljs'
import state from './state'

export default {
  // initData({dispatch}) {
  //   dispatch('get_ComplaintsTrain', 'month')
  // },
  //  行业督查
  getIndustrySupervision({commit}, params){
    return ajax.get({
      url: api.GET_IndustrySupervision,
      params
    })
  },
  //  行业督查数字
  getIndustrySupervision({commit}, params){
    return ajax.get({
      url: api.get_specialInspection,
      params
    })
  },
  //  行业月份勾选
  getMonthCheck({commit}, params){
    return ajax.get({
      url: api.get_month_check,
      params
    })
  },
  //  小区加装电梯
  getADDelevator({commit}, params){
    return ajax.get({
      url: api.get_elevator_collect,
      params
    })
  },
  //  投诉直通车
  get_ComplaintsTrain({commit}, params){
    return ajax.get({
      url: api.GET_ComplaintsTrain.replace('{type}', params),
    })
  },
  //  当年风险处置情况
  get_RiskDisposal({commit}, ){
    return ajax.get({
      url: api.GET_RiskDisposal,
    })
  },
  //信用管理等级排行
  GET_Creditratingranking({commit}, ){
    return ajax.get({
      url: api.GET_Creditratingranking,
    })
  },
}
